OpenNMS API 1.2.9

## org.opennms.core.queue
Interface OutputFifoQueueListener

public interface OutputFifoQueueListener

This interface is implemented by objects that need to be notified when a new element is removed from a queue. The notification method is invoked aftet the element is removed to the queue, the exact semantics of which are defined by the queue.

This is most often used to notify a object that a full queue has new space for more elements to be added. This allows the object to perform other potentially useful work while waiting on new queue elements.

Author:
  Brian Weaver , OpenNMS

Method Summary
`void` `onQueueOutput(NotifiableOutputFifoQueue queue)` This method is invoked by a `queue`when an element has been removed from the queue.

Method Detail

### onQueueOutput

    public void onQueueOutput(NotifiableOutputFifoQueue queue)

  This method is invoked by a `queue`when an element has been removed from the queue.

  Parameters:
    `queue` - The queue where an element was removed.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.